import request from '@/utils/request'

// 查询用户意向专业列表
export function listMallUserMajorIntention(query) {
  return request({
    url: '/mall/mallUserMajorIntention/list',
    method: 'get',
    params: query
  })
}

// 查询用户意向专业详细
export function getMallUserMajorIntention(intentionId) {
  return request({
    url: '/mall/mallUserMajorIntention/' + intentionId,
    method: 'get'
  })
}

// 新增用户意向专业
export function addMallUserMajorIntention(data) {
  return request({
    url: '/mall/mallUserMajorIntention',
    method: 'post',
    data: data
  })
}

// 修改用户意向专业
export function updateMallUserMajorIntention(data) {
  return request({
    url: '/mall/mallUserMajorIntention',
    method: 'put',
    data: data
  })
}

// 删除用户意向专业
export function delMallUserMajorIntention(intentionId) {
  return request({
    url: '/mall/mallUserMajorIntention/' + intentionId,
    method: 'delete'
  })
}
